POST /posts/{id}/review

Zernio's review endpoint. reject closes a post awaiting approval; approve answers 403 human_approval_required (a person approves in the dashboard)

POST
/posts/{id}/review

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Postgale post id

Request Body

application/json
  1. body
action*string
Value in"approve""reject"

Response Body

{postId, status}

application/json
  1. response
postId?string
status?string
Example Request
curl -X POST 'https://example.com/api/v1/posts/string/review' \  -H 'Content-Type: application/json' \  -d '{  "action": "approve"}'
Example Response
{  "postId": "string",  "status": "string"}